<?php

/**
 * @file
 * Contains Drupal\jira_rest\JiraRestWrapperService.
 */

namespace Drupal\jira_rest;

use biologis\JIRA_PHP_API;

class JiraRestWrapperService {

  /**
   * @var \biologis\JIRA_PHP_API\IssueService
   */
  private $issueService;

  function __construct() {

    //current credentials and url coming from drupal config form
    $config = \Drupal::config('jira_rest.settings');

    $credents = array(
      'username' => $config->get('jira_rest.username'),
      'password' => $config->get('jira_rest.password')
    );

    $communicationService = new JIRA_PHP_API\GuzzleCommunicationService($config->get('jira_rest.instanceurl') . '/rest/api/2/', $credents);
    $this->issueService = new JIRA_PHP_API\IssueService($communicationService);

    }

  /**
   * @return \biologis\JIRA_PHP_API\IssueService
   */
  public function getIssueService() {
    return $this->issueService;
  }
  
}
